> ## Documentation Index
> Fetch the complete documentation index at: https://hoopdev-docs-improve-idp-sso-pages.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Server Miscellaneous Configuration

> Update server miscellaneous configuration



## OpenAPI

````yaml https://use.hoop.dev/api/openapiv3.json put /serverconfig/misc
openapi: 3.0.3
info:
  contact:
    email: help@hoop.dev
    name: Help
    url: https://help.hoop.dev
  description: >-
    Hoop.dev is an access gateway for databases and servers with an API for
    packet manipulation
  license:
    name: MIT
    url: https://opensource.org/license/mit
  termsOfService: https://hoop.dev/docs/legal/tos
  title: Hoop Api
  version: 1.49.10
servers:
  - url: https://use.hoop.dev/api
security: []
tags:
  - description: >
      Hoop implements Oauth2 and OIDC protocol to authenticate users in the
      system. To obtain a valid access token users need to authenticate in their
      own identity provider which is generated as a JSON response to the
      endpoint `http(s)://use.hoop.dev/api/login`. The identity provider them
      redirects the user to the callback endpoint containing the access token.


      The recommended approach of obtaining an access token is by visiting the
      Webapp main's page or using the **Hoop command line**. Example:


      ```sh

      hoop config create --api-url https://use.hoop.dev

      # save the token after authenticating at $HOME/.hoop/config.toml

      hoop login

      # show token information

      hoop config view --raw

      ```


      With an access token you could use any HTTP client to interact with the
      documented endpoints.

      The token must be sent through the `Authorization` header.


      Example:


      ```sh

      # obtain the current configuration of the server

      curl https://use.hoop.dev/api/serverinfo -H "Authorization: Bearer
      $ACCESS_TOKEN"

      ```
    name: Authentication
  - description: >
      Users are active and assigned to the default organization when they
      signup. A user could be set to an inactive state preventing it from
      accessing the platform, however it’s recommended to manage the state of
      users in the identity provider.


      - The `sub` claim is used as the main identifier of the user in the
      platform.

      - The profile of the user is derived from the id_token claims `email` and
      `name`.


      When a user authenticates for the first time, it performs an automatic
      signup that persist the profile claims along with it’s unique identifier.

      ​

      ### Groups


      Groups allows defining who may access or interact with certain resources.


      - For connection resources it’s possible to define which groups has access
      to a specific connection, this is enforced when the Access Control feature
      is enabled.

      - For review resources, it’s possible to define which groups are allowed
      to approve an execution, this is enforced when the Review feature is
      enabled.


      > This resource could be managed manually via Webapp or propagated by the
      identity provider via ID Token. In this mode, groups are sync when a user
      performs a login.


      ### Roles


      - The `admin` group is a special role that grants full access to all
      resources


      This role should be granted to users that are responsible for managing the
      Gateway. All other users are regular, meaning that they can access their
      own resources and interact with connections.
    name: User Management
  - description: Routes used to manage and obtain information about the runtime server.
    name: Server Management
  - description: Features available in the gateway. See also **Plugin** resources.
    name: Features
  - description: >-
      Proxy manager endpoints controls how clients connect via gRPC in the
      gateway. These endpoints are meant to be used when a client is initialized
      via `hoop proxy-manager`.
    name: Proxy Manager
  - name: Connections
  - name: Agents
  - name: Runbooks
  - name: Guard Rails
  - name: Reviews
  - name: Sessions
  - name: Organization Management
  - name: Reports
paths:
  /serverconfig/misc:
    put:
      tags:
        - Server Management
      summary: Update Server Miscellaneous Configuration
      description: Update server miscellaneous configuration
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/openapi.ServerMiscConfig'
        description: The request body resource
        required: true
        x-originalParamName: request
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/openapi.ServerMiscConfig'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/openapi.HTTPError'
          description: Bad Request
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/openapi.HTTPError'
          description: Forbidden
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/openapi.HTTPError'
          description: Internal Server Error
components:
  schemas:
    openapi.ServerMiscConfig:
      properties:
        grpc_server_url:
          default: grpc://127.0.0.1:8010
          description: The gRPC server URL used to advertise the gRPC server to clients
          type: string
        http_proxy_server_config:
          allOf:
            - $ref: '#/components/schemas/openapi.HttpProxyServerConfig'
          description: The HTTP proxy server configuration
        postgres_server_config:
          allOf:
            - $ref: '#/components/schemas/openapi.PostgresServerConfig'
          description: The PostgreSQL server proxy configuration
        product_analytics:
          description: Either to enable or disable the product analytics tracking
          example: active
          type: string
        rdp_server_config:
          allOf:
            - $ref: '#/components/schemas/openapi.RDPServerConfig'
          description: The RDP server proxy configuration
        ssh_server_config:
          allOf:
            - $ref: '#/components/schemas/openapi.SSHServerConfig'
          description: The SSH server proxy configuration
      type: object
    openapi.HTTPError:
      properties:
        message:
          example: the error description
          type: string
      type: object
    openapi.HttpProxyServerConfig:
      properties:
        listen_address:
          description: The HTTP proxy server URL
          example: http://0.0.0.0:18888
          type: string
      type: object
    openapi.PostgresServerConfig:
      properties:
        listen_address:
          description: The listen address to run the PostgreSQL server proxy
          example: 0.0.0.0:15432
          type: string
      type: object
    openapi.RDPServerConfig:
      properties:
        listen_address:
          description: The listen address to run the RDP server proxy
          example: 0.0.0.0:3389
          type: string
      type: object
    openapi.SSHServerConfig:
      properties:
        hosts_key:
          description: The hosts key used for SSH connections
          example: base64-pem-encoded-hosts-key
          type: string
        listen_address:
          description: The listen address to run the SSH server proxy
          example: 0.0.0.0:12222
          type: string
      type: object

````